/*
 *  moonphase home widget for the maemo desktop.
 *  Copyright (C) 2010 Nicolai Hess
 *  
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
#ifndef _MOONPHASE_
#define _MOONPHASE_

#include <glib-object.h>

#include <libhildondesktop/libhildondesktop.h>

G_BEGIN_DECLS

typedef struct _MoonphaseHomePlugin MoonphaseHomePlugin;
typedef struct _MoonphaseHomePluginClass MoonphaseHomePluginClass;

#define MOONPHASE_TYPE_HOME_PLUGIN (moonphase_home_plugin_get_type())
#define MOONPHASE_HOME_PLUGIN(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), MOONPHASE_TYPE_HOME_PLUGIN, MoonphaseHomePlugin))
#define MOONPHASE_HOME_PLUGIN_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), MOONPHASE_TYPE_HOME_PLUGIN, MoonphaseHomePluginClass))
#define MOONPHASE_IS_HOME_PLUGIN(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MOONPHASE_TYPE_HOME_PLUGIN))
#define MOONPHASE_IS_HOME_PLUGIN_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass), MOONPHASE_TYPE_HOME_PLUGIN))
#define MOONPHASE_HOME_PLUGIN_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), MOONPHASE_TYPE_HOME_PLUGIN, MoonphaseHomePluginClass))

typedef struct _MoonphaseHomePluginPrivate MoonphaseHomePluginPrivate;

struct _MoonphaseHomePlugin
{
  HDHomePluginItem hitem;
  MoonphaseHomePluginPrivate* priv;
};

struct _MoonphaseHomePluginClass
{
  HDHomePluginItemClass parent_class;
};

GType moonphase_home_plugin_get_type(void);

G_END_DECLS
#endif
